{
  "name": "ip",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "dev": "set NODE_ENV=development&& nest start --watch",
    "prod": "set NODE_ENV=production&& git pull && npm i && nest build && pm2 reload websalePreBe",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json"
  },
  "dependencies": {
    "@nestjs/common": "^9.0.0",
    "@nestjs/config": "^2.2.0",
    "@nestjs/core": "^9.0.0",
    "@nestjs/jwt": "^9.0.0",
    "@nestjs/mongoose": "^9.2.0",
    "@nestjs/passport": "^9.0.0",
    "@nestjs/platform-express": "^9.0.0",
    "@nestjs/schedule": "^2.1.0",
    "@nestjs/serve-static": "^3.0.0",
    "@nestjs/swagger": "^6.2.1",
    "@sendgrid/client": "^7.7.0",
    "@sendgrid/mail": "^7.7.0",
    "@sentry/node": "^7.80.0",
    "@sentry/tracing": "^7.80.0",
    "@types/multer": "^1.4.7",
    "axios": "^1.4.0",
    "bcrypt": "^5.1.0",
    "bcryptjs": "^2.4.3",
    "bluebird": "^3.7.2",
    "cache-manager": "^5.1.1",
    "cache-manager-redis-store": "^2.0.0",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.13.2",
    "domain-ping": "^0.2.1",
    "fluent-ffmpeg": "^2.1.2",
    "json2xls": "^0.1.2",
    "jsonwebtoken": "^9.0.0",
    "moment": "^2.29.4",
    "moment-timezone": "^0.5.39",
    "mongoose": "^6.6.6",
    "node-forge": "^1.3.1",
    "node-os-utils": "^1.3.7",
    "openssl": "^2.0.0",
    "openssl-nodejs": "^1.0.5",
    "otplib": "^12.0.1",
    "passport": "^0.6.0",
    "passport-jwt": "^4.0.0",
    "paypal-rest-sdk": "^1.8.1",
    "qrcode": "^1.5.3",
    "rate-limiter-flexible": "^2.4.1",
    "reflect-metadata": "^0.1.13",
    "request-promise": "^4.2.6",
    "rimraf": "^3.0.2",
    "rxjs": "^7.2.0",
    "sharp": "^0.31.3",
    "stripe": "^11.17.0",
    "webp-converter": "^2.3.3"
  },
  "devDependencies": {
    "@nestjs/cli": "^9.0.0",
    "@nestjs/schematics": "^9.0.0",
    "@nestjs/testing": "^9.0.0",
    "@types/express": "^4.17.13",
    "@types/jest": "28.1.8",
    "@types/node": "^16.0.0",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "^5.0.0",
    "@typescript-eslint/parser": "^5.0.0",
    "eslint": "^8.0.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "jest": "28.1.3",
    "prettier": "^2.3.2",
    "source-map-support": "^0.5.20",
    "supertest": "^6.1.3",
    "ts-jest": "28.0.8",
    "ts-loader": "^9.2.3",
    "ts-node": "^10.0.0",
    "tsconfig-paths": "4.1.0",
    "typescript": "^4.7.4"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
